package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.util.BigAmtServiceTimeProvider;
import com.ynet.life.sujrb.util.ServiceTimeChecker;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CheckServiceTimeAction.class */
public class CheckServiceTimeAction extends LifeAction {
    private String timeField;
    private String flagField;
    private String nextDateField;
    private String bankIdField;
    private String transferChannelField;

    public String execute(Context context) throws GENEException {
        String transferChannel = (String) context.getDataValue(this.transferChannelField);
        String bankId = (String) context.getDataValue(this.bankIdField);
        if (transferChannel == null || "".equals(transferChannel)) {
            throw new TranFailException("NE0001", "'转账渠道域不能为空'");
        }
        if (bankId == null || "".equals(bankId)) {
            throw new TranFailException("NE0001", "'机构号域不能为空'");
        }
        context.put(this.flagField, "0");
        if (transferChannel.equals("3") || transferChannel.equals("5")) {
            String time = LifeStandard.getServerTime("yyyyMMddHHmmss");
            if (this.timeField != null && this.timeField.length() > 0) {
                time = (String) context.get(this.timeField);
            }
            ServiceTimeChecker serviceTimeChecker = new ServiceTimeChecker(new BigAmtServiceTimeProvider());
            if (!serviceTimeChecker.isWorkTime(time, bankId)) {
                context.put(this.flagField, "1");
                context.put(this.nextDateField, serviceTimeChecker.getNextWorkDate(time, bankId));
                return "0";
            }
            return "0";
        }
        return "0";
    }

    public void setFlagField(String flagField) {
        this.flagField = flagField;
    }

    public void setTimeField(String timeField) {
        this.timeField = timeField;
    }

    public void setNextDateField(String nextDateField) {
        this.nextDateField = nextDateField;
    }
}
